Bug 1100344 - unable to set compute-resource's "Console passwords" option via hammer
Summary: unable to set compute-resource's "Console passwords" option via hammer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: jmagen@redhat.com
QA Contact: jaudet
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-22 15:18 UTC by Jan Hutař
Modified: 2021-07-21 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:08:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5896 0 None None None 2016-04-22 15:52:51 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Jan Hutař 2014-05-22 15:18:17 UTC
Description of problem:
I'm unable to set cumpute-resource's "Console passwords" option via hammer. Maybe it is there somewhere, but I can not find it.


Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140521.0


How reproducible:
always


Steps to Reproduce:
1. Try to find a way how to uncheck "Console passwords" checkbox bia hammer.
   Using webUI that would be:
   Infrastructure -> Compute Resources -> <your_compute_resource> [Edit] ->
     -> Console passwords


Actual results:
I have not found it.


Expected results:
There should be a way to do so.


Additional info:
# hammer compute-resource -h
Usage:
    hammer compute-resource [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    create                        Create a compute resource.
    delete                        Delete a compute resource.
    image                         View and manage compute resource's images
    info                          Show an compute resource.
    list                          List all compute resources.
    update                        Update a compute resource.

Options:
    -h, --help                    print help

# hammer compute-resource update -h
Usage:
    hammer compute-resource update [OPTIONS]

Options:
    --description DESCRIPTION      
    --id ID                        
    --name NAME                   Name to search by
    --new-name NEW_NAME            
    --password PASSWORD           Password for RHEV, EC2, Vmware, Openstack. Secret key for EC2
    --provider PROVIDER           Providers include Libvirt, Ovirt, EC2, Vmware, Openstack, Rackspace, GCE
    --region REGION               for EC2 only
    --server SERVER               for Vmware
    --tenant TENANT               for Openstack only
    --url URL                     URL for Libvirt, RHEV, and Openstack
    --user USER                   Username for RHEV, EC2, Vmware, Openstack. Access Key for EC2.
    --uuid UUID                   for RHEV, Vmware Datacenter
    -h, --help                    print hel

Comment 2 Dominic Cleal 2014-05-23 07:14:18 UTC
Created redmine issue http://projects.theforeman.org/issues/5896 from this bug

Comment 3 jmagen@redhat.com 2014-05-25 07:58:02 UTC
fixed at https://github.com/theforeman/foreman/pull/1471

docs need to be generated

Comment 6 jaudet 2015-03-09 17:21:14 UTC
Tested against Satellite-6.1.0-RHEL-6-20150303.0 and Satellite-6.1.0-RHEL-7-20150303.0. Automated tests for this bug should be added to QE's test suite shortly. See: https://github.com/SatelliteQE/robottelo/pull/1975

Comment 7 Bryan Kearney 2015-08-11 13:26:16 UTC
This bug is slated to be released with Satellite 6.1.

Comment 8 errata-xmlrpc 2015-08-12 05:08:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.